Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs
Class Get3DFeatureInfoHandler

    java.lang.Object
      org.deegree.ogcwebservices.wpvs.Get3DFeatureInfoHandler

Direct Known Subclasses:
  DefaultGet3DFeatureInfoHandler

    public abstract class Get3DFeatureInfoHandler

extends Object

Version:
  $Revision: $, 1.0. $Revision: $, $Date: $
Author:
  Lyn Buesching, last edited by: $Author: $

Constructor Summary
`Get3DFeatureInfoHandler()` sets the owner to `null`
`Get3DFeatureInfoHandler(WPVService owner)`

Method Summary
`protected WPVService` | `getOwner()`
`abstract Get3DFeatureInfoResponse` | `handleRequest(Get3DFeatureInfo request)` Handle the Get3DfeatureInfo request given by `Get3DFeatureInfoRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Get3DFeatureInfoHandler

    public Get3DFeatureInfoHandler(WPVService owner)

Parameters:
  `owner` - of this infohandler, actually the service instance.

### Get3DFeatureInfoHandler

    public Get3DFeatureInfoHandler()

  sets the owner to `null`

Method Detail

### handleRequest

    public abstract Get3DFeatureInfoResponse handleRequest(Get3DFeatureInfo request)
                                                    throws OGCWebServiceException

  Handle the Get3DfeatureInfo request given by `Get3DFeatureInfoRequest`

  Parameters:
    `request` -
  Returns:
    an instance of Get3DFeatureInfoResponse
  Throws:
    `OGCWebServiceException` - if an error occurred while handling the request.

### getOwner

    protected final WPVService getOwner()

  Returns:
    the owner or `null` if it was not set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org